Join group via invite link
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inviteCode": "https://chat.whatsapp.com/AbCdEf"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inviteCode: 'https://chat.whatsapp.com/AbCdEf'})
};
fetch('https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join"
payload = { "inviteCode": "https://chat.whatsapp.com/AbCdEf" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join"
payload := strings.NewReader("{\n \"inviteCode\": \"https://chat.whatsapp.com/AbCdEf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"groupId": "120363@g.us"
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Groups
Join group via invite link
Joins a WhatsApp group using invite code or URL. Unofficial connection only.
POST
/
v1
/
whatsapp
/
instances
/
{instanceId}
/
groups
/
join
Join group via invite link
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inviteCode": "https://chat.whatsapp.com/AbCdEf"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inviteCode: 'https://chat.whatsapp.com/AbCdEf'})
};
fetch('https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join"
payload = { "inviteCode": "https://chat.whatsapp.com/AbCdEf" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups/join"
payload := strings.NewReader("{\n \"inviteCode\": \"https://chat.whatsapp.com/AbCdEf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"groupId": "120363@g.us"
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Authorizations
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Path Parameters
Example:
"inst_abc"
Body
application/json
Was this page helpful?

